Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.remote
Class PiggybackReturn

`java.lang.Object
oracle.jbo.common.remote.PiggybackReturn`

All Implemented Interfaces:
  java.io.Serializable

public final class PiggybackReturn
extends java.lang.Object
implements java.io.Serializable

Holder class to contain piggyback and return value of exported methods

Version:
  SDK
See Also:
  Serialized Form

Field Summary
`boolean` | `mIsReturnStreamValid`
`byte[]` | `mPiggyback`
`byte[]` | `mReturn`
`ServiceMessage` | `mServiceMessage`

Constructor Summary
`PiggybackReturn()`
`PiggybackReturn(byte[] retStream, byte[] pb)`
`PiggybackReturn(byte[] retStream, byte[] pb, boolean isReturnStreamValid)`
`PiggybackReturn(byte[] retStream, ServiceMessage svcMsg)`
`PiggybackReturn(byte[] retStream, ServiceMessage svcMsg, boolean isReturnStreamValid)`

Method Summary
`boolean` | `isReturnStreamValid()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mPiggyback

    public byte[] mPiggyback

### mReturn

    public byte[] mReturn

### mServiceMessage

    public ServiceMessage mServiceMessage

### mIsReturnStreamValid

    public boolean mIsReturnStreamValid

Constructor Detail

### PiggybackReturn

    public PiggybackReturn()

### PiggybackReturn

    public PiggybackReturn(byte[] retStream,
                           byte[] pb)

### PiggybackReturn

    public PiggybackReturn(byte[] retStream,
                           byte[] pb,
                           boolean isReturnStreamValid)

### PiggybackReturn

    public PiggybackReturn(byte[] retStream,
                           ServiceMessage svcMsg)

### PiggybackReturn

    public PiggybackReturn(byte[] retStream,
                           ServiceMessage svcMsg,
                           boolean isReturnStreamValid)

Method Detail

### isReturnStreamValid

    public boolean isReturnStreamValid()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.